Bug 973813 - openstack-status omits status of metadata agent.
Summary: openstack-status omits status of metadata agent.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-utils   
(Show other bugs)
Version: 3.0
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: beta
: 4.0
Assignee: Pádraig Brady
QA Contact: Ami Jeain
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-12 20:11 UTC by Stephen Gordon
Modified: 2016-01-04 14:45 UTC (History)
4 users (show)

Fixed In Version: openstack-utils-2013.2-1.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 00:05:47 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2013:1859 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2013-12-21 00:01:48 UTC

Description Stephen Gordon 2013-06-12 20:11:26 UTC
Description of problem:

openstack-status was recently updated to include Quantum services. It appears however that the quantum-metadata-agent service may have been missed:

# openstack-status
...
== Quantum services ==
quantum-server:               active
quantum-dhcp-agent:           active
quantum-l3-agent:             active
quantum-linuxbridge-agent:    inactive (disabled on boot)
quantum-openvswitch-agent:    active
openvswitch:                  active
...
# service quantum-metadata-agent status
quantum-metadata-agent (pid  2982) is running...

Version-Release number of selected component (if applicable):

# rpm -q openstack-utils
openstack-utils-2013.1-8.el6ost.noarch

Actual results:

quantum-metadata-agent status not listed in output of openstack-status.

Expected results:

quantum-metadata-agent status listed in output of openstack-status.

Comment 2 Scott Lewis 2013-11-19 16:54:34 UTC
Auto adding >= MODIFIED bugs to beta

Comment 3 Ami Jeain 2013-11-24 12:44:01 UTC
verified:
# openstack-status
== Nova services ==
openstack-nova-api:           active
openstack-nova-cert:          active
openstack-nova-compute:       active
openstack-nova-network:       dead (disabled on boot)
openstack-nova-scheduler:     active
openstack-nova-volume:        dead (disabled on boot)
openstack-nova-conductor:     active
== Glance services ==
openstack-glance-api:         active
openstack-glance-registry:    active
== Keystone service ==
openstack-keystone:           active
== Horizon service ==
openstack-dashboard:          500
== neutron services ==
neutron-server:               active
neutron-dhcp-agent:           active
neutron-l3-agent:             active
neutron-metadata-agent:       active
neutron-lbaas-agent:          inactive (disabled on boot)
neutron-openvswitch-agent:    active

Comment 6 errata-xmlrpc 2013-12-20 00:05:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html


Note You need to log in before you can comment on or make changes to this bug.